How can we help you?

Here you will find the answer to the most frequently asked questions that come in to LIVI's support

What technical support do I need to use LIVI?

LIVI's app is available on iOS (v.9.0 or later) and Android (v.6.0 or later).

You also need a valid passport or driving license to log in and register, as well as a strong internet connectivity for the GP consultations.

 

 

Have more questions? Submit a request